Attribute VB_Name = "modFile"
Option Explicit

Public Function IsFileLocked(sFile As String) As Boolean
  On Error GoTo GError
  '
  Dim iFile As Integer
  iFile = FreeFile
  '
  Open sFile For Input Access Read Shared As iFile
  Close #iFile
  '
  IsFileLocked = False
  Exit Function
GError:
  If Err.Number = 70 Then
    IsFileLocked = True
  Else
    MsgBox Err.Description & vbCrLf & "IsFileLocked", vbExclamation, "Error #" & Err.Number & "/" & Err.Source
  End If
End Function

Public Function SafeFileDelete(ByVal sFilename As String) As Boolean
  On Error GoTo GError
  '
  If SafeFileExists(sFilename) <> "" Then
    Kill sFilename
  End If
  '
  SafeFileDelete = True
  '
  Exit Function
  '
GError:
  MsgBox Err.Description & vbCrLf & vbCrLf & "File: " & sFilename
  SafeFileDelete = False
End Function

Public Function SafeFileExists(ByVal sFilename As String) As Boolean
  On Error GoTo FError
  '
  SafeFileExists = Dir$(sFilename) <> ""
  '
  Exit Function
  '
FError:
  ' in case of error, return false
  SafeFileExists = False
End Function
