Attribute VB_Name = "modMain"
Option Explicit

Public Const author_email = "plus4@rogers.com"
Public Const NO_RGB As Long = 22222222
Public Const MAX_RGB As Long = 16777215
Public Const COLOR_WINDOW As Long = 5
Public Const COLOR_WINDOWTEXT As Long = 8

Public Declare Function GetSystemDirectory Lib "kernel32" Alias "GetSystemDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
Public Declare Function GetSysColor Lib "user32" (ByVal nIndex As Integer) As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long

Sub Main()
Retry:
  On Error GoTo GError
  '
  Dim sComponent As String
  Dim s As String
  Dim n As Long
  '
  n = 256
  s = String(n, " ")
  GetSystemDirectory s, n
  s = Trim$(s)
  If s <> "" Then
    If Right$(s, 1) = Chr$(0) Then
      s = Left$(s, Len(s) - 1)
    End If
    If Right$(s, 1) <> "\" Then
      s = s & "\"
    End If
  End If
  '
  Load frmEdit
  frmEdit.Show
  '
  Exit Sub
GError:
  '
  If Err.Number = 339 Or Err.Number = 7 Then
    '
    If Err.Number = 339 Then
      sComponent = Mid$(Err.Description, InStr(1, Err.Description, "'") + 1)
      sComponent = Left$(sComponent, InStr(1, sComponent, "'") - 1)
    End If
    '
    If Err.Number = 7 Or sComponent = "cmax20.ocx" Then
      '
      ' If not found in Windows\System...
      '
      If Dir$(s & "CMAX20.OCX") = "" Then
        '
        ' Try current folder too
        '
        s = App.Path
        If Right$(s, 1) <> "\" Then
          s = s & "\"
        End If
      End If
      '
      If Dir$(s & "CMAX20.OCX") = "" Then
        'MsgBox "CodeMax component is missing.", vbExclamation
        '
        MsgBox "You do not have the CodeMax V2.0 component installed." & vbCrLf & _
          "This component is needed to run this software." & vbCrLf & vbCrLf & _
          "Please go to http://plus4world.com to download it," & vbCrLf & _
          "or write to " & author_email, vbExclamation, "Error - Missing Component"
      Else
        MsgBox "CodeMax component found, but not registered." + vbCrLf + "Will attempt to register now.", vbInformation
        Shell "REGSVR32 """ + s & "CMAX20.OCX"""
        GoTo Retry
      End If
    Else
      MsgBox "This component " & sComponent & " is missing." & vbCrLf & "Please contact Csabo at " & author_email & " with this error message.", vbExclamation
    End If
    '
  Else
    MsgBox "An unexpected error occurred." & vbCrLf & "Please contact Csabo at " & author_email & vbCrLf & Err.Description, vbExclamation, "Error #" & Err.Number
  End If
End Sub
