VERSION 5.00
Begin VB.UserControl tabButtonBorder 
   BackColor       =   &H80000010&
   ClientHeight    =   495
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3135
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ScaleHeight     =   495
   ScaleWidth      =   3135
   Begin Plus4IDE.tabButton tabButton1 
      Height          =   300
      Left            =   30
      TabIndex        =   0
      Top             =   30
      Width           =   2670
      _ExtentX        =   4710
      _ExtentY        =   529
   End
End
Attribute VB_Name = "tabButtonBorder"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'
' A button that is drawn as if it was part of a tab bar.
'

Event Click()

Dim bSelected As Boolean

Private Sub UserControl_Paint()
  On Error Resume Next
  Dim ye As Long
  '
  ye = ScaleHeight - 45
  '
  ' Paint lower lines with window background
  '
  Line (0, ye)-(ScaleWidth, ye + 45), vbWindowBackground, BF
  '
  ' Paint the tab borders
  '
  ForeColor = vb3DShadow
  Line (0, ye)-(0, 30)
  Line -(30, 0)
  Line -(tabButton1.Width + 15, 0)
  Line -(tabButton1.Width + 45, 30)
  Line -(tabButton1.Width + 45, ye)
  Line -(tabButton1.Width + 60, ye)
  '
  If Not bSelected Then
    '
    ' Not selected buttons have an extra line
    '
    Line -(-15, ye)
  End If
  '
  ' Erase 3 pixels from both corners
  '
  ForeColor = vb3DFace
  Line (0, 0)-(0, 15)
  Line -(15, 0)
  Line -(0, 0)
  Line (ScaleWidth - 15, 0)-(ScaleWidth - 15, 15)
  Line -(ScaleWidth - 30, 0)
  Line -(ScaleWidth - 15, 0)
  '
End Sub

Property Let Selected(NewSelected As Boolean)
  bSelected = NewSelected
  '
  If bSelected Then
    BackColor = vbWindowBackground
  Else
    BackColor = vb3DFace
  End If
  '
  Refresh
End Property

Property Let ToolTipText(NewToolTipText As String)
  tabButton1.ToolTipText = NewToolTipText
End Property

Property Get ToolTipText() As String
  ToolTipText = tabButton1.ToolTipText
End Property

Property Let Caption(NewCaption As String)
  tabButton1.Caption = NewCaption
End Property

Property Get Caption() As String
  Caption = tabButton1.Caption
End Property

Property Let BackColor(NewBackColor As OLE_COLOR)
  tabButton1.BackColor = NewBackColor
  UserControl.BackColor = NewBackColor
  Refresh
End Property

Property Get BackColor() As OLE_COLOR
  BackColor = tabButton1.BackColor
End Property

Private Sub tabButton1_Click()
  RaiseEvent Click
End Sub

Private Sub UserControl_Resize()
  On Error Resume Next
  With tabButton1
    .Left = 30
    .Top = 15
    .Width = ScaleWidth - 60
    .Height = ScaleHeight - 60
  End With
End Sub
